import { categoryOutlierStrategy, changePointStrategy, lowVarianceStrategy, majorityStrategy, correlationStrategy, timeSeriesOutlierStrategy, trendStrategy, trendAugmentedMarksStrategy, categoryOutlierAugmentedMarksStrategy, changePointAugmentedMarksStrategy, lowVarianceAugmentedMarkStrategy, viewSpecStrategy, } from '../strategy';
// The generateInsightAugmentedMarks needs to be refactored, it's not exported now.
export function generateInsightAugmentedMarks(insight, markStyleConfig) {
    var _a;
    var insightType = (insight === null || insight === void 0 ? void 0 : insight.patterns[0]).type;
    var insightType2Strategy = {
        trend: trendAugmentedMarksStrategy,
        category_outlier: categoryOutlierAugmentedMarksStrategy,
        change_point: changePointAugmentedMarksStrategy,
        low_variance: lowVarianceAugmentedMarkStrategy,
    };
    var augmentedMarks = (_a = insightType2Strategy[insightType]) === null || _a === void 0 ? void 0 : _a.call(insightType2Strategy, insight, markStyleConfig);
    return augmentedMarks;
}
export function generateInsightChartSpec(insight) {
    var _a;
    var insightType = insight.patterns[0].type;
    var insightType2Strategy = {
        trend: trendStrategy,
        time_series_outlier: timeSeriesOutlierStrategy,
        category_outlier: categoryOutlierStrategy,
        change_point: changePointStrategy,
        low_variance: lowVarianceStrategy,
        majority: majorityStrategy,
        correlation: correlationStrategy,
    };
    var marks = (_a = insightType2Strategy[insightType]) === null || _a === void 0 ? void 0 : _a.call(insightType2Strategy, insight);
    return viewSpecStrategy(marks, insight);
}
