import { __read, __spreadArray } from "tslib";
import { dataFormat } from '../../../../utils';
import { BOLD_FONT_WEIGHT } from '../../constants';
import { insight2ChartStrategy } from '../chart';
import { textMarkStrategy, intervalMarkStrategy } from '../commonMarks';
export var categoryOutlierAugmentedMarksStrategy = function (insight) {
    var patterns = insight.patterns;
    var rectMark = intervalMarkStrategy(patterns);
    var textMark = textMarkStrategy(patterns, {
        style: { fontWeight: BOLD_FONT_WEIGHT, dy: -8 },
        formatter: dataFormat,
    });
    return [rectMark, textMark];
};
export var categoryOutlierStrategy = function (insight) {
    var chart = insight2ChartStrategy(insight);
    var augmentedMarks = categoryOutlierAugmentedMarksStrategy(insight);
    return __spreadArray([chart], __read(augmentedMarks), false);
};
