import { __read, __spreadArray } from "tslib";
import { INSIGHT_COLOR_PLATTE } from '../../constants';
import { dataFormat } from '../../../../utils';
import { pointMarkStrategy } from '../commonMarks/pointMark';
import { textMarkStrategy } from '../commonMarks/textMark';
import { insight2ChartStrategy } from '../chart';
export var changePointAugmentedMarksStrategy = function (insight) {
    var patterns = insight.patterns;
    var color = INSIGHT_COLOR_PLATTE.highlight;
    var measure = (patterns === null || patterns === void 0 ? void 0 : patterns[0]).measure;
    var pointMark = pointMarkStrategy(patterns, { style: { fill: color } });
    var textMark = textMarkStrategy(patterns, {
        formatter: dataFormat,
        label: function (pattern) { return "".concat(pattern.x, ", ").concat(measure, ": ").concat(pattern.y); },
        style: {
            dy: -20,
            background: true,
            backgroundRadius: 2,
            connector: true,
            startMarker: true,
            startMarkerFill: '#2C3542',
            startMarkerFillOpacity: 0.65,
        },
    });
    return [pointMark, textMark];
};
export var changePointStrategy = function (insight) {
    var chart = insight2ChartStrategy(insight);
    var augmentedMarks = changePointAugmentedMarksStrategy(insight);
    return __spreadArray([chart], __read(augmentedMarks), false);
};
