import { __read, __spreadArray } from "tslib";
import { lineMarkStrategy } from '../commonMarks';
import { insight2ChartStrategy } from '../chart';
export var lowVarianceAugmentedMarkStrategy = function (insight) {
    var patterns = insight.patterns;
    var marks = [];
    patterns.forEach(function (pattern) {
        var mean = pattern.mean;
        var meanLineMark = lineMarkStrategy({ y: mean }, { label: "mean: ".concat(mean) });
        marks.push(meanLineMark);
    });
    return marks;
};
export var lowVarianceStrategy = function (insight) {
    var chartMark = insight2ChartStrategy(insight);
    var augmentedMarks = lowVarianceAugmentedMarkStrategy(insight);
    return __spreadArray([chartMark], __read(augmentedMarks), false);
};
