import type { ChartKnowledgeBase } from '../../ckb';
import type { Data } from '../../common/types';
import type { AdviseResult, ChartAdviseParams } from '../types';
import type { BasicDataPropertyForAdvice, RuleModule } from '../ruler';
/**
 * A utility function that assemble dataProps with user input and DataFrame
 * @param copyData a copy of original data
 * @param fields the fields that user specified to be used in dataset
 * @param inputDataProps user input dataProps which will cover or combine with dataProps from DataFrame
 * @returns assembled data props
 */
export declare function assembleDataProps(copyData: Data, fields?: string[], inputDataProps?: Partial<BasicDataPropertyForAdvice>[]): BasicDataPropertyForAdvice[];
export declare function advicesForChart(params: ChartAdviseParams, ckb: ChartKnowledgeBase, ruleBase: Record<string, RuleModule>): AdviseResult;
