import type { ChartKnowledgeBase } from '../ckb';
import type { RuleModule } from './ruler';
import type { AdvisorConfig, Advice, AdviseParams, AdviseResult, LintResult, LintParams, Lint } from './types';
export declare class Advisor {
    /**
     * CKB used for advising
     */
    ckb: ChartKnowledgeBase;
    /**
     * rule base used for advising
     */
    ruleBase: Record<string, RuleModule>;
    constructor(config?: AdvisorConfig);
    advise(params: AdviseParams): Advice[];
    adviseWithLog(params: AdviseParams): AdviseResult;
    lint(params: LintParams): Lint[];
    lintWithLog(params: LintParams): LintResult;
}
