import type { RuleModule, RuleConfig } from './types';
export declare const builtInRules: string[];
/**
 *
 * @param id rule id
 * @returns the rule object or null if `id` not exist in built-in rules
 */
export declare const getChartRule: (id: string) => RuleModule | null;
/**
 *
 * @param ids rule list
 * @returns rule object list
 */
export declare const getChartRules: (ids: string[]) => Record<string, RuleModule>;
/**
 * processing ckb config and setup ckb used for advising
 * @param ruleCfg rule configuration
 * @returns rule base Record<string, RuleModule>
 */
export declare const processRuleCfg: (ruleCfg?: RuleConfig) => Record<string, RuleModule>;
export * from './types';
