"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.rules = exports.CHART_DESIGN_RULE_ID = exports.CHART_RULE_ID = void 0;
// Chart rules (hard and soft)
// table and kpi_panel not include currently
// import { aggregationSingleRow } from './aggregation-single-row';
// import { allCanBeTable } from './all-can-be-table';
var bar_series_qty_1 = require("./bar-series-qty");
var bar_without_axis_min_1 = require("./bar-without-axis-min");
var data_check_1 = require("./data-check");
var data_field_qty_1 = require("./data-field-qty");
var diff_pie_sector_1 = require("./diff-pie-sector");
var landscape_or_portrait_1 = require("./landscape-or-portrait");
var limit_series_1 = require("./limit-series");
var line_field_time_ordinal_1 = require("./line-field-time-ordinal");
var no_redundant_field_1 = require("./no-redundant-field");
var nominal_enum_combinatorial_1 = require("./nominal-enum-combinatorial");
var purpose_check_1 = require("./purpose-check");
var series_qty_limit_1 = require("./series-qty-limit");
// Design rules
var x_axis_line_fading_1 = require("./x-axis-line-fading");
/**
 * @public
 */
exports.CHART_RULE_ID = [
    'data-check',
    'data-field-qty',
    'no-redundant-field',
    'purpose-check',
    'series-qty-limit',
    'bar-series-qty',
    'bar-without-axis-min',
    'line-field-time-ordinal',
    'landscape-or-portrait',
    'diff-pie-sector',
    'nominal-enum-combinatorial',
    'limit-series',
    'aggregation-single-row',
    'all-can-be-table',
];
/**
 * @public
 */
exports.CHART_DESIGN_RULE_ID = ['x-axis-line-fading'];
exports.rules = {
    // table and kpi_panel not include currently
    // 'aggregation-single-row': aggregationSingleRow,
    // 'all-can-be-table': allCanBeTable,
    'bar-series-qty': bar_series_qty_1.barSeriesQty,
    'bar-without-axis-min': bar_without_axis_min_1.barWithoutAxisMin,
    'data-check': data_check_1.dataCheck,
    'data-field-qty': data_field_qty_1.dataFieldQty,
    'diff-pie-sector': diff_pie_sector_1.diffPieSector,
    'landscape-or-portrait': landscape_or_portrait_1.landscapeOrPortrait,
    'limit-series': limit_series_1.limitSeries,
    'line-field-time-ordinal': line_field_time_ordinal_1.lineFieldTimeOrdinal,
    'no-redundant-field': no_redundant_field_1.noRedundantField,
    'nominal-enum-combinatorial': nominal_enum_combinatorial_1.nominalEnumCombinatorial,
    'purpose-check': purpose_check_1.purposeCheck,
    'series-qty-limit': series_qty_limit_1.seriesQtyLimit,
    'x-axis-line-fading': x_axis_line_fading_1.xAxisLineFading,
};
