"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lineFieldTimeOrdinal = void 0;
var utils_1 = require("../../utils");
var constants_1 = require("./constants");
var applyChartTypes = ['line_chart', 'area_chart', 'stacked_area_chart', 'percent_stacked_area_chart'];
exports.lineFieldTimeOrdinal = {
    id: 'line-field-time-ordinal',
    type: 'SOFT',
    docs: {
        lintText: 'Data containing time or ordinal fields are suitable for line or area charts.',
    },
    trigger: function (_a) {
        var chartType = _a.chartType;
        return applyChartTypes.includes(chartType);
    },
    validator: function (args) {
        var result = 1;
        var dataProps = args.dataProps;
        if (dataProps) {
            var field4TimeOrOrdinal = dataProps.find(function (field) { return (0, utils_1.intersects)(field.levelOfMeasurements, ['Ordinal', 'Time']); });
            if (field4TimeOrOrdinal) {
                result = constants_1.MAX_SOFT_RULE_COEFFICIENT * 0.5;
            }
        }
        return result;
    },
};
