import type { NodeData, LinkData } from '../../dataset/graph/types';
import type { FieldInfo } from '../field/types';
import type { GraphFeat } from './types';
export declare function getNodeFields(nodes: NodeData[]): {
    nodeFields: any[];
    nodeFieldNames: string[];
};
export declare function getLinkFields(links: LinkData[]): {
    linkFields: any[];
    linkFieldNames: string[];
};
export declare function getAllFieldsInfo(dataFields: any[], fieldNames: string[]): FieldInfo[];
/**
 * find node clusters and assign the cluster field to each node
 * @param nodes
 * @param links
 */
export declare function clusterNodes(nodes: NodeData[], nodeFieldsInfo: FieldInfo[], links: LinkData[]): FieldInfo;
/**
 * Calculate statistical and structural features for graph
 * @param nodes
 * @param links
 */
export declare function getAllStructFeats(nodes: NodeData[], links: LinkData[]): {
    nodeFeats: FieldInfo[];
    linkFeats: FieldInfo[];
    graphInfo: Partial<GraphFeat>;
};
