import type { FieldInfo } from '../field/types';
export type NodeStructFeat = {
    degree: number;
    inDegree: number;
    outDegree: number;
    pageRank: number;
    closeness: number;
    kCore: number;
    cycleCount: number;
    triangleCount: number;
    starCount: number;
    cliqueCount: number;
    clusterCoeff: number;
};
export type LinkStructFeat = {
    isDirected: Boolean;
    centrality: number;
    cycleCount: number;
    triangleCount: number;
    starCount: number;
    cliqueCount: number;
};
export type GraphFeat = {
    nodeCount: number;
    linkCount: number;
    direction: number;
    isDirected: Boolean;
    isDAG: Boolean;
    isCycle: Boolean;
    isConnected: Boolean;
    ratio: number;
    breadth: number;
    depth: number;
    maxDegree: number;
    minDegree: number;
    avgDegree: number;
    degreeStd: number;
    maxPageRank: number;
    minPageRank: number;
    avgPageRank: number;
    components: any[];
    componentCount: number;
    strongConnectedComponents: any[];
    strongConnectedComponentCount: number;
    cycleCount: number;
    directedCycleCount: number;
    starCount: number;
    cliqueCount: number;
    cycleParticipate: number;
    triangleCount: number;
    localClusterCoeff: number;
    globalClusterCoeff: number;
    maxKCore: number;
};
export type GraphProps = {
    nodeFeats: FieldInfo[];
    linkFeats: FieldInfo[];
    graphInfo: Partial<GraphFeat>;
    nodeFieldsInfo: FieldInfo[];
    linkFieldsInfo: FieldInfo[];
    [key: string]: any;
};
