import BaseFrame from './baseFrame';
import Series from './series';
import type { FrameData, Axis, Extra, FieldsInfo } from './types';
export default class DataFrame extends BaseFrame {
    constructor(data: FrameData, extra?: Extra);
    /**
     * Generate columns.
     * @param columns
     * @param extra
     */
    private generateColumns;
    /**
     * Generate this.data and this.colData.
     * @param isObj
     * @param data
     * @param columns
     */
    private generateDataAndColDataFromArray;
    get shape(): [number, number];
    get(rowLoc: Axis | Axis[] | string, colLoc?: Axis | Axis[] | string): DataFrame | Series | any;
    getByIndex(rowLoc: number | number[] | string, colLoc?: number | number[] | string): DataFrame | Series | any;
    /**
     * Get data by column.
     * @param col
     */
    getByColumn(col: Axis): Series;
    /**
     * Get statistics.
     */
    info(): FieldsInfo;
    /**
     * Get tabular data string.
     */
    toString(): string;
}
