import BaseFrame from './baseFrame';
import type { SeriesData, Extra, Axis } from './types';
export type SeriesExtra = Pick<Extra, 'indexes' | 'fillValue' | 'columnTypes'>;
/** 1D data structure */
export default class Series extends BaseFrame {
    constructor(data: SeriesData, extra?: SeriesExtra);
    get shape(): [number];
    /**
     * Get data by row location and column location.
     * @param rowLoc
     */
    get(rowLoc: Axis | Axis[] | string): Series | any;
    /**
     * Get data by row location and column location using integer index.
     * @param rowLoc
     */
    getByIndex(rowLoc: number | number[] | string): Series | any;
}
