import type { Axis } from '../field/types';
/**
 * Graph extra info.
 */
export type GraphExtra = {
    nodeKey?: string;
    linkKey?: string;
    sourceKey?: string;
    targetKey?: string;
    childrenKey?: string;
    nodeIndexes?: Axis[];
    nodeColumns?: Axis[];
    linkIndexes?: Axis[];
    linkColumns?: Axis[];
};
export type NodeData = {
    id: string;
    name?: string;
    [key: string]: unknown;
};
export type LinkData = {
    source: string;
    target: string;
    [key: string]: unknown;
};
export type GraphInput = TreeNode | {
    [key: string]: unknown;
}[] | {
    [key: string]: unknown[];
};
export type TreeNode = {
    id: string;
    children: TreeNode[];
    [key: string]: unknown;
};
