"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bayesian = void 0;
var tslib_1 = require("tslib");
var bayesian_changepoint_1 = tslib_1.__importDefault(require("bayesian-changepoint"));
var pettitt_test_1 = require("./pettitt-test");
function breakpointVerifier(next, prev) {
    if (Math.abs(next.data - prev.data) >= 1) {
        return true;
    }
    return false;
}
/**
 * Bayesian Online Changepoint Detection
 */
function bayesian(series) {
    var detection = new bayesian_changepoint_1.default({
        breakpointVerifier: breakpointVerifier,
    });
    detection.exec(series);
    var result = detection.breakPoints().map(function (breakPoint) { return ({
        index: breakPoint.index,
        significance: 1 - (0, pettitt_test_1.calcPValue)(series, breakPoint.index),
    }); });
    return result;
}
exports.bayesian = bayesian;
