/**
 * Evaluates the cumulative distribution function (CDF) for a normal distribution at a value x
 * - Reference to equation 26.2.17 in https://personal.math.ubc.ca/~cbm/aands/abramowitz_and_stegun.pdf
 * @param mu mean
 * @param sigma standard deviation
 * */
export declare const cdf: (x: number, mu?: number, sigma?: number) => number;
