import { LowessOptions, LowessOutput } from './types';
export declare const tricubeWeightFunction: (x: number) => number;
export declare const bisquareWeightFunction: (x: number) => number;
export declare const weightedLinearRegression: (x: number[], y: number[], w: number[]) => number[][];
/**
 * Locally weighted regression
 * - General idea: perform weighted linear regression on localized subsets of the data point by point to calculate fitted value.
 * - Reference: William S. Cleveland. Robust Locally Weighted Regression and Smoothing Scatterplots. Journal of the American Statistical Association. 1979. Vol. 74(368):829-836.
 * */
export declare const lowess: (x: number[], y: number[], options?: LowessOptions) => LowessOutput;
