/**
 * Normal distribution quantile function
 * - Reference to equation 26.2.23 in https://personal.math.ubc.ca/~cbm/aands/abramowitz_and_stegun.pdf
 * - If F(x) is the cumulative distribution function of a normal distribution N(mu, sigma), F(x) = p, quantile(p, mu, sigma) = x.
 * - The value range of p is [0, 1]. If p > 1 or p < 0, return NaN.
 * @param p input value
 * @param mu mean
 * @param sigma standard deviation
 * */
export declare const normalDistributionQuantile: (p: number, mu?: number, sigma?: number) => number;
/**
 * student's t distribution quantile function
 * @param p probability
 * @param v degree of freedom
 */
export declare const tDistributionQuantile: (p: number, d?: number) => number;
