"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isBasicType = exports.isArray = exports.isObject = exports.isBoolean = exports.isDate = exports.isFloatString = exports.isFloat = exports.isIntegerString = exports.isInteger = exports.isNumberString = exports.isNumber = exports.isString = exports.isNil = void 0;
var constants_1 = require("./constants");
function isNil(value) {
    return value === null || value === undefined || value === '' || Number.isNaN(value) || value === 'null';
}
exports.isNil = isNil;
function isString(value) {
    return typeof value === 'string';
}
exports.isString = isString;
function isNumber(value) {
    if (typeof value === 'number')
        return true;
    return false;
}
exports.isNumber = isNumber;
function isNumberString(value) {
    if (isString(value)) {
        var hasDot = false;
        var tempValue = value;
        if (/^[+-]/.test(tempValue)) {
            tempValue = tempValue.slice(1);
        }
        for (var i = 0; i < tempValue.length; i += 1) {
            var char = tempValue[i];
            if (char === '.') {
                if (hasDot === false) {
                    hasDot = true;
                }
                else {
                    return false;
                }
            }
            if (char !== '.' && !/[0-9]/.test(char)) {
                return false;
            }
        }
        return tempValue.trim() !== '';
    }
    return false;
}
exports.isNumberString = isNumberString;
function isInteger(value) {
    if (typeof value === 'number')
        return Number.isInteger(value);
    return false;
}
exports.isInteger = isInteger;
function isIntegerString(value) {
    if (isString(value) && isNumberString(value))
        return !value.includes('.');
    return false;
}
exports.isIntegerString = isIntegerString;
function isFloat(value) {
    if (typeof value === 'number')
        return !Number.isNaN(value) && !Number.isInteger(value);
    return false;
}
exports.isFloat = isFloat;
function isFloatString(value) {
    if (isString(value) && isNumberString(value))
        return value.includes('.');
    return false;
}
exports.isFloatString = isFloatString;
function isDate(value) {
    if (value && Object.getPrototypeOf(value) === Date.prototype)
        return true;
    return false;
}
exports.isDate = isDate;
function isBoolean(value, checkSpecialBoolean) {
    return checkSpecialBoolean
        ? constants_1.SPECIAL_BOOLEANS.some(function (list) {
            return value.every(function (item) { return list.includes(item); });
        })
        : typeof value === 'boolean';
}
exports.isBoolean = isBoolean;
function isObject(value) {
    return value && Object.getPrototypeOf(value) === Object.prototype;
}
exports.isObject = isObject;
function isArray(value) {
    return Array.isArray(value);
}
exports.isArray = isArray;
function isBasicType(value) {
    return !isArray(value) && !isObject(value);
}
exports.isBasicType = isBasicType;
