"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isCustomPhrase = exports.isEntityPhrase = exports.isHeadingParagraph = exports.getHeadingWeight = exports.isBulletParagraph = exports.isTextParagraph = exports.isCustomParagraph = exports.isStandardSection = exports.isCustomSection = exports.generateTextSpec = exports.generateInsightVisualizationSpec = exports.getInsights = exports.maxabs = exports.cdf = exports.pcorrtest = exports.geometricMean = exports.harmonicMean = exports.median = exports.quartile = exports.quantile = exports.variance = exports.standardDeviation = exports.coefficientOfVariance = exports.covariance = exports.pearson = exports.valid = exports.missing = exports.valueMap = exports.distinct = exports.tDistributionQuantile = exports.normalDistributionQuantile = exports.mean = exports.sum = exports.max = exports.min = exports.DataFrame = exports.Series = exports.analyzeField = exports.SHAPES = exports.RECOMMEND_RATINGS = exports.PURPOSES = exports.LEVEL_OF_MEASUREMENTS = exports.GRAPHIC_CATEGORIES = exports.FAMILIES = exports.COORDINATE_SYSTEMS = exports.CHART_IDS = exports.CHANNELS = exports.ckbDict = exports.ckb = exports.Advisor = void 0;
exports.ENTITY_TYPES = exports.isFormulaPhrase = exports.isEscapePhrase = exports.isEntityType = exports.isTextPhrase = void 0;
var tslib_1 = require("tslib");
/* advisor */
var advisor_1 = require("./advisor");
Object.defineProperty(exports, "Advisor", { enumerable: true, get: function () { return advisor_1.Advisor; } });
/* CKB */
var ckb_1 = require("./ckb");
Object.defineProperty(exports, "ckb", { enumerable: true, get: function () { return ckb_1.ckb; } });
Object.defineProperty(exports, "ckbDict", { enumerable: true, get: function () { return ckb_1.ckbDict; } });
Object.defineProperty(exports, "CHANNELS", { enumerable: true, get: function () { return ckb_1.CHANNELS; } });
Object.defineProperty(exports, "CHART_IDS", { enumerable: true, get: function () { return ckb_1.CHART_IDS; } });
Object.defineProperty(exports, "COORDINATE_SYSTEMS", { enumerable: true, get: function () { return ckb_1.COORDINATE_SYSTEMS; } });
Object.defineProperty(exports, "FAMILIES", { enumerable: true, get: function () { return ckb_1.FAMILIES; } });
Object.defineProperty(exports, "GRAPHIC_CATEGORIES", { enumerable: true, get: function () { return ckb_1.GRAPHIC_CATEGORIES; } });
Object.defineProperty(exports, "LEVEL_OF_MEASUREMENTS", { enumerable: true, get: function () { return ckb_1.LEVEL_OF_MEASUREMENTS; } });
Object.defineProperty(exports, "PURPOSES", { enumerable: true, get: function () { return ckb_1.PURPOSES; } });
Object.defineProperty(exports, "RECOMMEND_RATINGS", { enumerable: true, get: function () { return ckb_1.RECOMMEND_RATINGS; } });
Object.defineProperty(exports, "SHAPES", { enumerable: true, get: function () { return ckb_1.SHAPES; } });
/* data */
var data_1 = require("./data");
Object.defineProperty(exports, "analyzeField", { enumerable: true, get: function () { return data_1.analyzeField; } });
Object.defineProperty(exports, "Series", { enumerable: true, get: function () { return data_1.Series; } });
Object.defineProperty(exports, "DataFrame", { enumerable: true, get: function () { return data_1.DataFrame; } });
Object.defineProperty(exports, "min", { enumerable: true, get: function () { return data_1.min; } });
Object.defineProperty(exports, "max", { enumerable: true, get: function () { return data_1.max; } });
Object.defineProperty(exports, "sum", { enumerable: true, get: function () { return data_1.sum; } });
Object.defineProperty(exports, "mean", { enumerable: true, get: function () { return data_1.mean; } });
Object.defineProperty(exports, "normalDistributionQuantile", { enumerable: true, get: function () { return data_1.normalDistributionQuantile; } });
Object.defineProperty(exports, "tDistributionQuantile", { enumerable: true, get: function () { return data_1.tDistributionQuantile; } });
Object.defineProperty(exports, "distinct", { enumerable: true, get: function () { return data_1.distinct; } });
Object.defineProperty(exports, "valueMap", { enumerable: true, get: function () { return data_1.valueMap; } });
Object.defineProperty(exports, "missing", { enumerable: true, get: function () { return data_1.missing; } });
Object.defineProperty(exports, "valid", { enumerable: true, get: function () { return data_1.valid; } });
Object.defineProperty(exports, "pearson", { enumerable: true, get: function () { return data_1.pearson; } });
Object.defineProperty(exports, "covariance", { enumerable: true, get: function () { return data_1.covariance; } });
Object.defineProperty(exports, "coefficientOfVariance", { enumerable: true, get: function () { return data_1.coefficientOfVariance; } });
Object.defineProperty(exports, "standardDeviation", { enumerable: true, get: function () { return data_1.standardDeviation; } });
Object.defineProperty(exports, "variance", { enumerable: true, get: function () { return data_1.variance; } });
Object.defineProperty(exports, "quantile", { enumerable: true, get: function () { return data_1.quantile; } });
Object.defineProperty(exports, "quartile", { enumerable: true, get: function () { return data_1.quartile; } });
Object.defineProperty(exports, "median", { enumerable: true, get: function () { return data_1.median; } });
Object.defineProperty(exports, "harmonicMean", { enumerable: true, get: function () { return data_1.harmonicMean; } });
Object.defineProperty(exports, "geometricMean", { enumerable: true, get: function () { return data_1.geometricMean; } });
Object.defineProperty(exports, "pcorrtest", { enumerable: true, get: function () { return data_1.pcorrtest; } });
Object.defineProperty(exports, "cdf", { enumerable: true, get: function () { return data_1.cdf; } });
Object.defineProperty(exports, "maxabs", { enumerable: true, get: function () { return data_1.maxabs; } });
/* insight */
var insight_1 = require("./insight");
Object.defineProperty(exports, "getInsights", { enumerable: true, get: function () { return insight_1.getInsights; } });
Object.defineProperty(exports, "generateInsightVisualizationSpec", { enumerable: true, get: function () { return insight_1.generateInsightVisualizationSpec; } });
/* NTV (Narrative Text Vis) */
var ntv_1 = require("./ntv");
Object.defineProperty(exports, "generateTextSpec", { enumerable: true, get: function () { return ntv_1.generateTextSpec; } });
Object.defineProperty(exports, "isCustomSection", { enumerable: true, get: function () { return ntv_1.isCustomSection; } });
Object.defineProperty(exports, "isStandardSection", { enumerable: true, get: function () { return ntv_1.isStandardSection; } });
Object.defineProperty(exports, "isCustomParagraph", { enumerable: true, get: function () { return ntv_1.isCustomParagraph; } });
Object.defineProperty(exports, "isTextParagraph", { enumerable: true, get: function () { return ntv_1.isTextParagraph; } });
Object.defineProperty(exports, "isBulletParagraph", { enumerable: true, get: function () { return ntv_1.isBulletParagraph; } });
Object.defineProperty(exports, "getHeadingWeight", { enumerable: true, get: function () { return ntv_1.getHeadingWeight; } });
Object.defineProperty(exports, "isHeadingParagraph", { enumerable: true, get: function () { return ntv_1.isHeadingParagraph; } });
Object.defineProperty(exports, "isEntityPhrase", { enumerable: true, get: function () { return ntv_1.isEntityPhrase; } });
Object.defineProperty(exports, "isCustomPhrase", { enumerable: true, get: function () { return ntv_1.isCustomPhrase; } });
Object.defineProperty(exports, "isTextPhrase", { enumerable: true, get: function () { return ntv_1.isTextPhrase; } });
Object.defineProperty(exports, "isEntityType", { enumerable: true, get: function () { return ntv_1.isEntityType; } });
Object.defineProperty(exports, "isEscapePhrase", { enumerable: true, get: function () { return ntv_1.isEscapePhrase; } });
Object.defineProperty(exports, "isFormulaPhrase", { enumerable: true, get: function () { return ntv_1.isFormulaPhrase; } });
Object.defineProperty(exports, "ENTITY_TYPES", { enumerable: true, get: function () { return ntv_1.ENTITY_TYPES; } });
tslib_1.__exportStar(require("./ntv/types"), exports);
