"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.categoryOutlierStrategy = exports.categoryOutlierAugmentedMarksStrategy = void 0;
var tslib_1 = require("tslib");
var utils_1 = require("../../../../utils");
var constants_1 = require("../../constants");
var chart_1 = require("../chart");
var commonMarks_1 = require("../commonMarks");
var categoryOutlierAugmentedMarksStrategy = function (insight) {
    var patterns = insight.patterns;
    var rectMark = (0, commonMarks_1.intervalMarkStrategy)(patterns);
    var textMark = (0, commonMarks_1.textMarkStrategy)(patterns, {
        style: { fontWeight: constants_1.BOLD_FONT_WEIGHT, dy: -8 },
        formatter: utils_1.dataFormat,
    });
    return [rectMark, textMark];
};
exports.categoryOutlierAugmentedMarksStrategy = categoryOutlierAugmentedMarksStrategy;
var categoryOutlierStrategy = function (insight) {
    var chart = (0, chart_1.insight2ChartStrategy)(insight);
    var augmentedMarks = (0, exports.categoryOutlierAugmentedMarksStrategy)(insight);
    return tslib_1.__spreadArray([chart], tslib_1.__read(augmentedMarks), false);
};
exports.categoryOutlierStrategy = categoryOutlierStrategy;
