"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.changePointStrategy = exports.changePointAugmentedMarksStrategy = void 0;
var tslib_1 = require("tslib");
var constants_1 = require("../../constants");
var utils_1 = require("../../../../utils");
var pointMark_1 = require("../commonMarks/pointMark");
var textMark_1 = require("../commonMarks/textMark");
var chart_1 = require("../chart");
var changePointAugmentedMarksStrategy = function (insight) {
    var patterns = insight.patterns;
    var color = constants_1.INSIGHT_COLOR_PLATTE.highlight;
    var measure = (patterns === null || patterns === void 0 ? void 0 : patterns[0]).measure;
    var pointMark = (0, pointMark_1.pointMarkStrategy)(patterns, { style: { fill: color } });
    var textMark = (0, textMark_1.textMarkStrategy)(patterns, {
        formatter: utils_1.dataFormat,
        label: function (pattern) { return "".concat(pattern.x, ", ").concat(measure, ": ").concat(pattern.y); },
        style: {
            dy: -20,
            background: true,
            backgroundRadius: 2,
            connector: true,
            startMarker: true,
            startMarkerFill: '#2C3542',
            startMarkerFillOpacity: 0.65,
        },
    });
    return [pointMark, textMark];
};
exports.changePointAugmentedMarksStrategy = changePointAugmentedMarksStrategy;
var changePointStrategy = function (insight) {
    var chart = (0, chart_1.insight2ChartStrategy)(insight);
    var augmentedMarks = (0, exports.changePointAugmentedMarksStrategy)(insight);
    return tslib_1.__spreadArray([chart], tslib_1.__read(augmentedMarks), false);
};
exports.changePointStrategy = changePointStrategy;
