"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lowVarianceStrategy = exports.lowVarianceAugmentedMarkStrategy = void 0;
var tslib_1 = require("tslib");
var commonMarks_1 = require("../commonMarks");
var chart_1 = require("../chart");
var lowVarianceAugmentedMarkStrategy = function (insight) {
    var patterns = insight.patterns;
    var marks = [];
    patterns.forEach(function (pattern) {
        var mean = pattern.mean;
        var meanLineMark = (0, commonMarks_1.lineMarkStrategy)({ y: mean }, { label: "mean: ".concat(mean) });
        marks.push(meanLineMark);
    });
    return marks;
};
exports.lowVarianceAugmentedMarkStrategy = lowVarianceAugmentedMarkStrategy;
var lowVarianceStrategy = function (insight) {
    var chartMark = (0, chart_1.insight2ChartStrategy)(insight);
    var augmentedMarks = (0, exports.lowVarianceAugmentedMarkStrategy)(insight);
    return tslib_1.__spreadArray([chartMark], tslib_1.__read(augmentedMarks), false);
};
exports.lowVarianceStrategy = lowVarianceStrategy;
