"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.trendStrategy = exports.trendAugmentedMarksStrategy = void 0;
var tslib_1 = require("tslib");
var commonMarks_1 = require("../commonMarks");
var chart_1 = require("../chart");
var trendAugmentedMarksStrategy = function (insight) {
    var chartData = insight.data, _a = tslib_1.__read(insight.dimensions, 1), dimensionName = _a[0].fieldName, patterns = insight.patterns;
    var points = chartData.map(function (datum, index) {
        var points = patterns[0].regression.points;
        var point = points[index];
        return [datum[dimensionName], point];
    });
    var _b = tslib_1.__read(patterns[0].regression.equation, 2), m = _b[0], c = _b[1];
    var lineData = points.map(function (point) { return ({ x: point[0], y: point[1] }); });
    var regressionLineMark = (0, commonMarks_1.lineMarkStrategy)({ points: lineData }, { label: "y=".concat(m.toFixed(2), "x+").concat(c.toFixed(2)) });
    return [regressionLineMark];
};
exports.trendAugmentedMarksStrategy = trendAugmentedMarksStrategy;
var trendStrategy = function (insight) {
    var chart = (0, chart_1.insight2ChartStrategy)(insight);
    var augmentedMarks = (0, exports.trendAugmentedMarksStrategy)(insight);
    return tslib_1.__spreadArray([chart], tslib_1.__read(augmentedMarks), false);
};
exports.trendStrategy = trendStrategy;
