import type { Mark } from '@antv/g2';
import type { Datum } from '../types';
type LabelType = string | ((d: Datum) => string);
export type TextMarkConfig = {
    label?: LabelType;
    style?: Mark['style'];
    formatter?: (value: number) => string;
};
export type PointMarkConfig = {
    style?: Mark['style'];
    tooltip?: Mark['tooltip'];
};
export type LineMarkData = {
    /** draw a vertical line at x value */
    x?: number;
    /** draw a horizontal line at y value */
    y?: number;
    /** draw a line using specific points */
    points?: {
        x: number;
        y: number;
    }[];
};
export type LineMarkConfig = {
    encode?: Mark['encode'];
    label?: string;
    style?: Mark['style'];
    tooltip?: Mark['tooltip'];
};
export type AreaMarkData = {
    x: number;
    y: [number, number];
}[];
export type AreaMarkConfig = {
    encode?: Mark['encode'];
    style?: Mark['style'];
    tooltip?: Mark['tooltip'];
};
export type IntervalMarkConfig = {
    style?: Mark['style'];
};
export {};
