import { Datum, SubjectInfo, InsightType, DataProperty } from '../types';
import type { LevelOfMeasurement } from '../../ckb';
export type ExtractorChecker = (props: {
    data: Datum[];
    subjectInfo: SubjectInfo;
    fieldPropsMap: Record<string, DataProperty>;
    lom?: LevelOfMeasurement | LevelOfMeasurement[];
}) => true | string;
export declare const trendChecker: ExtractorChecker;
export declare const categoryOutlierChecker: ExtractorChecker;
export declare const changePointChecker: ExtractorChecker;
export declare const timeSeriesChecker: ExtractorChecker;
export declare const majorityChecker: ExtractorChecker;
export declare const lowVarianceChecker: ExtractorChecker;
export declare const correlationChecker: ExtractorChecker;
export declare const ExtractorCheckers: Partial<Record<InsightType, ExtractorChecker>>;
