"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.insightPatternsExtractor = exports.extractorMap = void 0;
var tslib_1 = require("tslib");
var lodash_1 = require("lodash");
var categoryOutlier_1 = require("./extractors/categoryOutlier");
var changePoint_1 = require("./extractors/changePoint");
var correlation_1 = require("./extractors/correlation");
var lowVariance_1 = require("./extractors/lowVariance");
var majority_1 = require("./extractors/majority");
var timeSeriesOutlier_1 = require("./extractors/timeSeriesOutlier");
var trend_1 = require("./extractors/trend");
var util_1 = require("./util");
exports.extractorMap = {
    category_outlier: categoryOutlier_1.getCategoryOutlierInfo,
    trend: trend_1.getTrendInfo,
    change_point: changePoint_1.getChangePointInfo,
    time_series_outlier: timeSeriesOutlier_1.getTimeSeriesOutlierInfo,
    majority: majority_1.getMajorityInfo,
    low_variance: lowVariance_1.getLowVarianceInfo,
    correlation: correlation_1.getCorrelationInfo,
};
var insightPatternsExtractor = function (props) {
    var _a = props.insightType, insightType = _a === void 0 ? 'trend' : _a, options = props.options;
    var _b = (options || {}).filterInsight, filterInsight = _b === void 0 ? false : _b;
    var extractor = exports.extractorMap[insightType];
    return (0, lodash_1.flow)(tslib_1.__spreadArray([extractor], tslib_1.__read((filterInsight ? [util_1.pickValidPattern] : [])), false))(props);
};
exports.insightPatternsExtractor = insightPatternsExtractor;
tslib_1.__exportStar(require("./checkers"), exports);
