import type { InsightType, InsightInfo, Language, HomogeneousInsightType, HomogeneousPatternInfo } from '../../types';
import type { ParagraphSpec, Structure, StructureTemp } from '../../../ntv/types';
export type HomogeneousInsightInfo = HomogeneousPatternInfo & Omit<InsightInfo, 'patterns'>;
export declare abstract class InsightNarrativeStrategy<P = any> {
    static insightType: InsightType | HomogeneousInsightType;
    protected static structures: Record<Language, Structure[]>;
    protected static structureTemps?: Record<Language, StructureTemp[]>;
    abstract generateTextSpec(insightInfo: InsightInfo<P> | HomogeneousInsightInfo, lang: Language): ParagraphSpec[];
}
