"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/* eslint-disable no-template-curly-in-string */
var ntv_1 = require("../../../ntv");
var base_1 = require("./base");
var helpers_1 = require("./helpers");
var variableMetaMap = {
    measure: {
        varType: 'metric_name',
    },
    total: {
        varType: 'metric_value',
    },
    '.x': {
        varType: 'dim_value',
    },
};
var CategoryOutlierNarrativeStrategy = /** @class */ (function (_super) {
    tslib_1.__extends(CategoryOutlierNarrativeStrategy, _super);
    function CategoryOutlierNarrativeStrategy() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CategoryOutlierNarrativeStrategy.prototype.generateTextSpec = function (insightInfo, lang) {
        var patterns = insightInfo.patterns;
        var _a = patterns[0], dimension = _a.dimension, measure = _a.measure;
        var spec = (0, ntv_1.generateTextSpec)({
            structures: CategoryOutlierNarrativeStrategy.structures[lang],
            variable: {
                dimension: dimension,
                measure: measure,
                total: patterns.length,
                patterns: patterns,
            },
            structureTemps: CategoryOutlierNarrativeStrategy.structureTemps[lang],
        });
        return spec.sections[0].paragraphs;
    };
    CategoryOutlierNarrativeStrategy.insightType = 'category_outlier';
    CategoryOutlierNarrativeStrategy.structures = {
        'zh-CN': [
            {
                template: '${measure} 在 ${dimension} 上有 ${total} 个类别相比其他维值突出：&{outliers}。',
                variableMetaMap: variableMetaMap,
            },
        ],
        'en-US': [
            {
                template: '${measure} has ${total} categories in the ${dimension} that are prominent compared to other dimensions: &{outliers}.',
                variableMetaMap: variableMetaMap,
            },
        ],
    };
    CategoryOutlierNarrativeStrategy.structureTemps = {
        'zh-CN': [
            {
                templateId: 'outliers',
                template: '${.x}',
                separator: (0, helpers_1.getDefaultSeparator)('zh-CN'),
                variableMetaMap: variableMetaMap,
                useVariable: 'patterns',
            },
        ],
        'en-US': [
            {
                templateId: 'outliers',
                template: '${.x}',
                separator: (0, helpers_1.getDefaultSeparator)('en-US'),
                variableMetaMap: variableMetaMap,
                useVariable: 'patterns',
            },
        ],
    };
    return CategoryOutlierNarrativeStrategy;
}(base_1.InsightNarrativeStrategy));
exports.default = CategoryOutlierNarrativeStrategy;
