"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/* eslint-disable no-template-curly-in-string */
var ntv_1 = require("../../../ntv");
var base_1 = require("./base");
var helpers_1 = require("./helpers");
var variableMetaMap = {
    measures: {
        varType: 'metric_name',
    },
};
var CommonnessNarrativeStrategy = /** @class */ (function (_super) {
    tslib_1.__extends(CommonnessNarrativeStrategy, _super);
    function CommonnessNarrativeStrategy() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CommonnessNarrativeStrategy.prototype.generateTextSpec = function (insightInfo, lang) {
        var measures = insightInfo.measures, dimensions = insightInfo.dimensions, insightType = insightInfo.insightType;
        var spec = (0, ntv_1.generateTextSpec)({
            structures: CommonnessNarrativeStrategy.structures[lang],
            variable: {
                measures: measures.map(function (m) { return m.fieldName; }).join((0, helpers_1.getDefaultSeparator)(lang)),
                dimensions: dimensions.map(function (m) { return m.fieldName; }).join((0, helpers_1.getDefaultSeparator)(lang)),
                insightType: (0, helpers_1.getInsightName)(insightType, lang),
            },
        });
        return spec.sections[0].paragraphs;
    };
    CommonnessNarrativeStrategy.insightType = 'commonness';
    CommonnessNarrativeStrategy.structures = {
        'zh-CN': [
            {
                template: '大部分 ${dimensions} 的维值在 ${measures} 上具有 ${insightType}。',
                variableMetaMap: variableMetaMap,
            },
        ],
        'en-US': [
            {
                template: 'Most of the dimension values of ${dimensions} have ${insightType} on ${measures}.',
                variableMetaMap: variableMetaMap,
            },
        ],
    };
    return CommonnessNarrativeStrategy;
}(base_1.InsightNarrativeStrategy));
exports.default = CommonnessNarrativeStrategy;
