"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultSeparator = exports.getInsightName = exports.INSIGHT_TYPE_NAME = exports.getDiffDesc = void 0;
var lodash_1 = require("lodash");
var getDiffDesc = function (value, lang) {
    if (value > 0)
        return lang === 'en-US' ? 'more than' : '超过';
    if (value < 0)
        return lang === 'en-US' ? 'less than' : '少于';
    return lang === 'en-US' ? 'equal' : '持平';
};
exports.getDiffDesc = getDiffDesc;
exports.INSIGHT_TYPE_NAME = {
    change_point: '突变点',
    time_series_outlier: '时序异常值',
    trend: '趋势',
    majority: '主要因素',
    low_variance: '分布均匀',
    category_outlier: '异常值',
    correlation: '相关性',
};
var getInsightName = function (insightType, lang) {
    if (lang === 'en-US')
        return (0, lodash_1.lowerCase)(insightType);
    return exports.INSIGHT_TYPE_NAME[insightType];
};
exports.getInsightName = getInsightName;
var getDefaultSeparator = function (lang) {
    return lang === 'zh-CN' ? '，' : ', ';
};
exports.getDefaultSeparator = getDefaultSeparator;
