import Heap from 'heap-js';
import type { Datum, InsightOptions, Measure, Subspace, InsightInfo, PatternInfo, HomogeneousPatternInfo, DataProperty } from '../types';
interface ReferenceInfo {
    fieldPropsMap: Record<string, DataProperty>;
    impactMeasureReferences: Record<string, number>;
}
export declare function extractInsightsFor1M1DCombination(data: Datum[], dimensions: string[], measures: Measure[], subspace: Subspace, referenceInfo: ReferenceInfo, options: InsightOptions): (InsightInfo<PatternInfo> | null)[][];
export declare function extractInsightsForCorrelation(data: Datum[], dimensions: string[], measures: Measure[], subspace: Subspace, referenceInfo: ReferenceInfo, options: InsightOptions): InsightInfo<PatternInfo>[];
/** recursive extraction in data subspace */
export declare function extractInsightsFromSubspace(data: Datum[], dimensions: string[], measures: Measure[], subspace: Subspace, referenceInfo: ReferenceInfo, insightsHeap: Heap<InsightInfo<PatternInfo>>, homogeneousInsightsHeap: Heap<InsightInfo<HomogeneousPatternInfo>>, options: InsightOptions): (InsightInfo<PatternInfo> | null)[];
/** insight subject enumeration in the data */
export declare function enumerateInsights(data: Datum[], dimensions: string[], measures: Measure[], referenceInfo: ReferenceInfo, insightsHeap: Heap<InsightInfo<PatternInfo>>, metaInsightsHeap: Heap<InsightInfo<HomogeneousPatternInfo>>, options?: InsightOptions): void;
export {};
