import type { Variable, VariableMeta } from './types';
import type { EntityType } from '../schema';
export type TemplateStructure = {
    type: 'text' | 'variable' | 'template';
    value: string;
};
/**
 * simple path system
 * if starts with '.', it's relative path
 * // TODO 支持相对路径找到上级
 * if starts with '..', it's can get prev level variable
 * otherwise, it's absolute path
 */
export declare function getByPath(globalVar: Variable, scopeVar: Variable, path?: string): any;
/**
 * parse template string
 *    Use $ for variable
 *    Use & for template
 * @example 'aaa ${key} &{temp1}'
 *  => [{ type: 'text', value: 'aaa ' }, { type: 'variable', value: 'key' }, { type: 'template', value: 'temp1' }]
 */
export declare function templateStr2Structure(templateStr: string): TemplateStructure[];
/** format any to array, and filter nil */
export declare function formattedAsArray(variable: Variable): any[];
export declare function getScopeVariableArray(globalVar: Variable, scopeVar: Variable, path: string, limit?: number): any[];
export declare function getAssessment(entityType: EntityType, value: any): "positive" | "negative";
export declare function getFormattedNumberValue(varType: string, value: any, formatter?: VariableMeta['formatter']): any;
/** get phrase text */
export declare function getDisplayValue(getDisplayValuePattern: VariableMeta['getDisplayValue'], globalVar: Variable, scopeVar: Variable): string;
